import 'package:equatable/equatable.dart';

abstract class RadioEvent extends Equatable {
  const RadioEvent();

  @override
  List<Object> get props => [];
}

class RadioSelected extends RadioEvent {
  final int selectedIndex;

  const RadioSelected([this.selectedIndex = 0]);

  @override
  List<Object> get props => [selectedIndex];
}

class ResetRadioSelection extends RadioEvent {}
